%define rname splix
%define checkout 20111121svn
Summary:	CUPS printer drivers for QPDL/SPL (Samsung and Several Xerox Printers)
Name:		cups-drivers-%{rname}
Version:	2.0.1
Release:	%mkrel 1
License: 	GPLv2
Group:		System/Printing
URL:		http://splix.ap2c.org/
Source0:	splix-%{version}.%{checkout}.tar.xz
Patch0:  	splix-nostrip.patch
Patch1:  	splix-deviceID.patch
Patch2:  	splix-custom-ppd-dir.patch
Patch3:  	splix-drv.patch
Requires:	cups
BuildRequires:  cups gcc-c++ libxml2-devel cups-devel python-cups
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SpliX is a set of CUPS printer drivers for SPL (Samsung Printer Language)
printers. If you have a such printer, you need to download and use SpliX.
Moreover you will find documentation about this proprietary language.

This package contains CUPS drivers (PPD) for Dell, Samsung and Xerox
printers.

%prep
%setup -q -n splix
# some files have wrongly set executable bit
chmod -x include/algo0x0d.h
chmod -x include/algo0x0e.h
chmod -x src/algo0x0e.cpp
chmod -x ppd/po/pt.po

%patch0 -p1 -b .nostrip
%patch1 -p1 -b .deviceID
%patch2 -p1 -b .custom-ppd-dir
%patch3 -p1 -b .drv-only

%build
if test -x ./configure; then
	%configure
fi
make DISABLE_JBIG=1


%install

make DESTDIR=%buildroot install

echo '%%defattr(-,root,root)' >filelist
find %buildroot -type f -printf '/%%P*\n' >>filelist


%clean
rm -rf %buildroot

%files -f filelist
%defattr(-,root,root)


%changelog
* Wed Sep 07 2016 adrianomorselli <adrianomorselli> 2.0.1-1uplos2012
- rebuild

* Thu Mar 15 2012 Neal <nealbrks0 at gmail dot com> 2.0.1-1pclos2012
- process

* Thu Mar 15 2012 maik3531 <maik3531 at yahoo.de> 2.0.1-1pclos2012
- new version to work with Samsung CLP-510 etc
 
* Mon Aug 08 2011 Texstar <texstar at gmail.com> 2.0.0-2pclos2011
- rebuild
